Package org.apache.synapse.transport.netty.api.config

## Class SSLConfiguration

- java.lang.Object
- - org.apache.synapse.transport.netty.api.config.SSLConfiguration

-     public class SSLConfiguration
      extends Object

  `SSLConfiguration` encapsulates the transport level security related configurations.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SSLConfiguration.SSLConfigurationBuilder` | Builder class for the SSLConfiguration.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSLConfiguration​(SSLConfiguration.SSLConfigurationBuilder builder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClientAuthEl()` |
    `org.apache.axiom.om.OMElement` | `getClientAuthElement()` |
    `String` | `getHandshakeTimeout()` |
    `org.apache.axiom.om.OMElement` | `getHandshakeTimeoutElement()` |
    `org.apache.axiom.om.OMElement` | `getHttpsProtocolElement()` |
    `String` | `getHttpsProtocolsEl()` |
    `String` | `getKeyStore()` |
    `org.apache.axiom.om.OMElement` | `getKeyStoreElement()` |
    `org.apache.axiom.om.OMElement` | `getPreferredCiphersElement()` | Return a OMElement of preferred ciphers parameter values.
    `String` | `getRevocationVerifier()` |
    `org.apache.axiom.om.OMElement` | `getRevocationVerifierElement()` |
    `String` | `getSessionTimeout()` |
    `org.apache.axiom.om.OMElement` | `getSessionTimeoutElement()` |
    `String` | `getSslProtocol()` |
    `org.apache.axiom.om.OMElement` | `getSslProtocolElement()` |
    `String` | `getTrustStore()` |
    `org.apache.axiom.om.OMElement` | `getTrustStoreElement()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLConfiguration

          public SSLConfiguration​(SSLConfiguration.SSLConfigurationBuilder builder)

  - ### Method Detail

    - #### getKeyStoreElement

          public org.apache.axiom.om.OMElement getKeyStoreElement()

    - #### getClientAuthElement

          public org.apache.axiom.om.OMElement getClientAuthElement()

    - #### getTrustStoreElement

          public org.apache.axiom.om.OMElement getTrustStoreElement()

    - #### getRevocationVerifierElement

          public org.apache.axiom.om.OMElement getRevocationVerifierElement()

    - #### getHttpsProtocolElement

          public org.apache.axiom.om.OMElement getHttpsProtocolElement()

    - #### getSslProtocolElement

          public org.apache.axiom.om.OMElement getSslProtocolElement()

    - #### getSessionTimeoutElement

          public org.apache.axiom.om.OMElement getSessionTimeoutElement()

    - #### getHandshakeTimeoutElement

          public org.apache.axiom.om.OMElement getHandshakeTimeoutElement()

    - #### getPreferredCiphersElement

          public org.apache.axiom.om.OMElement getPreferredCiphersElement()

      Return a OMElement of preferred ciphers parameter values.
      Returns:
        OMElement

    - #### getSslProtocol

          public String getSslProtocol()

    - #### getKeyStore

          public String getKeyStore()

    - #### getTrustStore

          public String getTrustStore()

    - #### getClientAuthEl

          public String getClientAuthEl()

    - #### getHttpsProtocolsEl

          public String getHttpsProtocolsEl()

    - #### getRevocationVerifier

          public String getRevocationVerifier()

    - #### getHandshakeTimeout

          public String getHandshakeTimeout()

    - #### getSessionTimeout

          public String getSessionTimeout()